<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.resolver</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;resolver
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module resolver</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.resolver-pysrc.html">source&nbsp;code</a></span></p>
<p>DNS resolever with SRV record support.</p>
<dl class="rst-docutils">
<dt>Normative reference:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a class="rst-reference external" href="http://www.ietf.org/rfc/rfc1035.txt" target="_top">RFC 1035</a></li>
<li><a class="rst-reference external" href="http://www.ietf.org/rfc/rfc2782.txt" target="_top">RFC 2782</a></li>
</ul>
</dd>
</dl>

<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Functions</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Functions"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.resolver-module.html#set_default_address_family" class="summary-sig-name">set_default_address_family</a>(<span class="summary-sig-arg">family</span>)</span><br />
      Select default address family.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.resolver-pysrc.html#set_default_address_family">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">list</code> of <code class="link">dns.rdtypes.IN.SRV</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.resolver-module.html#shuffle_srv" class="summary-sig-name">shuffle_srv</a>(<span class="summary-sig-arg">records</span>)</span><br />
      Randomly reorder SRV records using their weights.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.resolver-pysrc.html#shuffle_srv">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">list</code> of <code class="link">dns.rdtypes.IN.SRV</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.resolver-module.html#reorder_srv" class="summary-sig-name">reorder_srv</a>(<span class="summary-sig-arg">records</span>)</span><br />
      Reorder SRV records using their priorities and weights.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.resolver-pysrc.html#reorder_srv">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">list</code> of (<code class="link">str</code>,`int`)</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.resolver-module.html#resolve_srv" class="summary-sig-name">resolve_srv</a>(<span class="summary-sig-arg">domain</span>,
        <span class="summary-sig-arg">service</span>,
        <span class="summary-sig-arg">proto</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">tcp</code><code class="variable-quote">'</code></span>)</span><br />
      Resolve service domain to server name and port number using SRV records.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.resolver-pysrc.html#resolve_srv">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">list</code> of (<code class="link">int</code>, <code class="link">int</code>, <code class="link">int</code>, <code class="link">str</code>, (<code class="link">str</code>, <code class="link">int</code>))</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.resolver-module.html#getaddrinfo" class="summary-sig-name">getaddrinfo</a>(<span class="summary-sig-arg">host</span>,
        <span class="summary-sig-arg">port</span>,
        <span class="summary-sig-arg">family</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">socktype</span>=<span class="summary-sig-default">1</span>,
        <span class="summary-sig-arg">proto</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">allow_cname</span>=<span class="summary-sig-default">True</span>)</span><br />
      Resolve host and port into addrinfo struct.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.resolver-pysrc.html#getaddrinfo">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="logger"></a><span class="summary-name">logger</span> = <code title="logging.getLogger(&quot;pyxmpp.resolver&quot;)">logging.getLogger(&quot;pyxmpp.resolver&quot;)</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="default_address_family"></a><span class="summary-name">default_address_family</span> = <code title="0">0</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="service_aliases"></a><span class="summary-name">service_aliases</span> = <code title="{'xmpp-server': ('jabber-server', 'jabber')}"><code class="variable-group">{</code><code class="variable-quote">'</code><code class="variable-string">xmpp-server</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">jabber-server</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">jabber</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-group">}</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="ipv4_re"></a><span class="summary-name">ipv4_re</span> = <code title="re.compile(r'^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$')">re.compile(r'^\d<code class="re-op">{1,3}</code>\.\d<code class="re-op">{1,3}</code>\.\d<code class="re-op">{1,3}</code>\.\d<code class="re-op">{1,3}</code>$')</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.resolver-module.html#ipv6_re" class="summary-name">ipv6_re</a> = <code title="re.compile(r'^[0-9a-f]{,4}:[0-9a-f:]{,29}:([0-9a-f]{,4}|\d{1,3}\.\d{1,\
3}\.\d{1,3}\.\d{1,3})$')">re.compile(r'^<code class="re-group">[</code>0<code class="re-op">-</code>9a<code class="re-op">-</code>f<code class="re-group">]</code><code class="re-op">{,4}</code>:<code class="re-group">[</code>0<code class="re-op">-</code>9a<code class="re-op">-</code>f:<code class="re-group">]</code><code class="re-op">{,29}</code>:<code class="re-group">(</code><code class="re-group">[</code>0<code class="re-op">-</code>9a<code class="re-op">-</code>f<code class="re-group">]</code><code class="re-op">{</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'pyxmpp'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <span title="re">re</span>,
  <span title="socket">socket</span>,
  <span title="socket.AF_UNSPEC">AF_UNSPEC</span>,
  <span title="socket.AF_INET">AF_INET</span>,
  <span title="socket.AF_INET6">AF_INET6</span>,
  <span title="dns">dns</span>,
  <span title="random">random</span>,
  <span title="logging">logging</span>,
  <a href="pyxmpp.exceptions.DNSError-class.html" title="pyxmpp.exceptions.DNSError">DNSError</a>,
  <a href="pyxmpp.exceptions.UnexpectedCNAMEError-class.html" title="pyxmpp.exceptions.UnexpectedCNAMEError">UnexpectedCNAMEError</a>
</p><br />
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Function Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-FunctionDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="set_default_address_family"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_default_address_family</span>(<span class="sig-arg">family</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.resolver-pysrc.html#set_default_address_family">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Select default address family.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>family</code></strong> - : AF_INET for IPv4, AF_INET6 for IPv6 and AF_UNSPEC for
dual stack.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="shuffle_srv"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">shuffle_srv</span>(<span class="sig-arg">records</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.resolver-pysrc.html#shuffle_srv">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Randomly reorder SRV records using their weights.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>records</code></strong> (: sequence of <code class="link">dns.rdtypes.IN.SRV</code>) - : SRV records to shuffle.</li>
    </ul></dd>
    <dt>Returns: <code class="link">list</code> of <code class="link">dns.rdtypes.IN.SRV</code></dt>
        <dd>reordered records.</dd>
  </dl>
</td></tr></table>
</div>
<a name="reorder_srv"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">reorder_srv</span>(<span class="sig-arg">records</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.resolver-pysrc.html#reorder_srv">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Reorder SRV records using their priorities and weights.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>records</code></strong> (: <code class="link">list</code> of <code class="link">dns.rdtypes.IN.SRV</code>) - : SRV records to shuffle.</li>
    </ul></dd>
    <dt>Returns: <code class="link">list</code> of <code class="link">dns.rdtypes.IN.SRV</code></dt>
        <dd>reordered records.</dd>
  </dl>
</td></tr></table>
</div>
<a name="resolve_srv"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">resolve_srv</span>(<span class="sig-arg">domain</span>,
        <span class="sig-arg">service</span>,
        <span class="sig-arg">proto</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">tcp</code><code class="variable-quote">'</code></span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.resolver-pysrc.html#resolve_srv">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Resolve service domain to server name and port number using SRV records.</p>
<p>A built-in service alias table will be used to lookup also some obsolete
record names.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>domain</code></strong> (: <code class="link">unicode</code> or <code class="link">str</code>) - : domain name.</li>
        <li><strong class="pname"><code>service</code></strong> (: <code class="link">unicode</code> or <code class="link">str</code>) - : service name.</li>
        <li><strong class="pname"><code>proto</code></strong> (: <code class="link">str</code>) - : protocol name.</li>
    </ul></dd>
    <dt>Returns: <code class="link">list</code> of (<code class="link">str</code>,`int`)</dt>
        <dd>host names and port numbers for the service or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="getaddrinfo"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">getaddrinfo</span>(<span class="sig-arg">host</span>,
        <span class="sig-arg">port</span>,
        <span class="sig-arg">family</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">socktype</span>=<span class="sig-default">1</span>,
        <span class="sig-arg">proto</span>=<span class="sig-default">0</span>,
        <span class="sig-arg">allow_cname</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.resolver-pysrc.html#getaddrinfo">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Resolve host and port into addrinfo struct.</p>
<p>Does the same thing as socket.getaddrinfo, but using <code class="link">dns.resolver</code>,
so the cache content from the SRV query can be used.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>host</code></strong> (: <code class="link">unicode</code> or <code class="link">str</code>) - : service domain name.</li>
        <li><strong class="pname"><code>port</code></strong> (: <code class="link">int</code> or <code class="link">str</code>) - : service port number or name.</li>
        <li><strong class="pname"><code>family</code></strong> (: <code class="link">int</code>) - : address family (AF_INET for IPv4, AF_INET6 for IPv6 or
AF_UNSPEC for either, <code class="link">None</code> for the auto-configured default).</li>
        <li><strong class="pname"><code>socktype</code></strong> (: <code class="link">int</code>) - : socket type.</li>
        <li><strong class="pname"><code>proto</code></strong> (: <code class="link">int</code> or <code class="link">str</code>) - : protocol number or name.</li>
        <li><strong class="pname"><code>allow_cname</code></strong> (: <code class="link">bool</code>) - : when False CNAME responses are not allowed.</li>
    </ul></dd>
    <dt>Returns: <code class="link">list</code> of (<code class="link">int</code>, <code class="link">int</code>, <code class="link">int</code>, <code class="link">str</code>, (<code class="link">str</code>, <code class="link">int</code>))</dt>
        <dd>list of (family, socktype, proto, canonname, sockaddr).</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== VARIABLES DETAILS ==================== -->
<a name="section-VariablesDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-VariablesDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="ipv6_re"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">ipv6_re</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
re.compile(r'^<code class="re-group">[</code>0<code class="re-op">-</code>9a<code class="re-op">-</code>f<code class="re-group">]</code><code class="re-op">{,4}</code>:<code class="re-group">[</code>0<code class="re-op">-</code>9a<code class="re-op">-</code>f:<code class="re-group">]</code><code class="re-op">{,29}</code>:<code class="re-group">(</code><code class="re-group">[</code>0<code class="re-op">-</code>9a<code class="re-op">-</code>f<code class="re-group">]</code><code class="re-op">{,4}</code><code class="re-op">|</code>\d<code class="re-op">{1,3}</code>\.\d<code class="re-op">{1,</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="re-op">3}</code>\.\d<code class="re-op">{1,3}</code>\.\d<code class="re-op">{1,3}</code><code class="re-group">)</code>$')
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:58 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
